﻿/*****************************************************************************
 * Copyright (C) 2014 Microchip Technology Inc. and its subsidiaries
 * (Microchip).  All rights reserved.
 * 
 * You are permitted to use the software and its derivatives with Microchip
 * products. See the license agreement accompanying this software, if any,
 * for additional info regarding your rights and obligations.
 * 
 * SOFTWARE AND DOCUMENTATION ARE PROVIDED “AS IS” WITHOUT WARRANTY OF ANY
 * KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION, ANY
 * WARRANTY OF MERCHANTABILITY, TITLE, NON-INFRINGEMENT AND FITNESS FOR A
 * PARTICULAR PURPOSE. IN NO EVENT SHALL MICROCHIP OR ITS LICENSORS BE
 * LIABLE OR OBLIGATED UNDER CONTRACT, NEGLIGENCE, STRICT LIABILITY,
 * CONTRIBUTION, BREACH OF WARRANTY, OR OTHER LEGAL EQUITABLE THEORY FOR ANY
 * DIRECT OR INDIRECT DAMAGES OR EXPENSES INCLUDING BUT NOT LIMITED TO ANY
 * INCIDENTAL, SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES, OR OTHER SIMILAR
 * COSTS. To the fullest extend allowed by law, Microchip and its licensors
 * liability will not exceed the amount of fees that you paid directly to
 * Microchip to use this software or $1,000, whichever is greater.
 * 
 *****************************************************************************
 * Revision history:
 * 22.10.2013   Mihai Cuciuc    0.1     Communication with USB device functional,
 *                                      all DALI tests implemented.
 * 22.01.2014   Oana Barahtian  1.0     Changed the application to a multi-
 *                                      threaded model, restructured user
 *                                      interface and added functionality.
 */


using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DALITestApplication.Classes
{
    public class DaliCommands
    {
        string name;       // command name
        string mapCommnd;  // command map
        bool addressing;   // Y + A (7 bits)
        bool dataBit;      // S (1 bit)
        int parameterBits; // 0, 4, 8
        bool twice;        // send default twice

        public DaliCommands(string str, string map, bool addr, bool data, int param, bool def)
        {
            this.name = str;
            this.mapCommnd = map;
            this.addressing = addr;
            this.dataBit = data;
            this.parameterBits = param;
            this.twice = def;
        }

        public string GetName()
        {
            return this.name;
        }

        public string GetMap()
        {
            return this.mapCommnd;
        }

        public bool GetAddressing()
        {
            return this.addressing;
        }

        public int GetParameter()
        {
            return this.parameterBits;
        }

        public bool GetDefaultTwice()
        {
            return this.twice;
        }
    }
}
