﻿/*****************************************************************************
 * Copyright (C) 2014 Microchip Technology Inc. and its subsidiaries
 * (Microchip).  All rights reserved.
 * 
 * You are permitted to use the software and its derivatives with Microchip
 * products. See the license agreement accompanying this software, if any,
 * for additional info regarding your rights and obligations.
 * 
 * SOFTWARE AND DOCUMENTATION ARE PROVIDED “AS IS” WITHOUT WARRANTY OF ANY
 * KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION, ANY
 * WARRANTY OF MERCHANTABILITY, TITLE, NON-INFRINGEMENT AND FITNESS FOR A
 * PARTICULAR PURPOSE. IN NO EVENT SHALL MICROCHIP OR ITS LICENSORS BE
 * LIABLE OR OBLIGATED UNDER CONTRACT, NEGLIGENCE, STRICT LIABILITY,
 * CONTRIBUTION, BREACH OF WARRANTY, OR OTHER LEGAL EQUITABLE THEORY FOR ANY
 * DIRECT OR INDIRECT DAMAGES OR EXPENSES INCLUDING BUT NOT LIMITED TO ANY
 * INCIDENTAL, SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES, OR OTHER SIMILAR
 * COSTS. To the fullest extend allowed by law, Microchip and its licensors
 * liability will not exceed the amount of fees that you paid directly to
 * Microchip to use this software or $1,000, whichever is greater.
 * 
 *****************************************************************************
 * Revision history:
 * 22.10.2013   Mihai Cuciuc    0.1     Communication with USB device functional,
 *                                      all DALI tests implemented.
 * 22.01.2014   Oana Barahtian  1.0     Changed the application to a multi-
 *                                      threaded model, restructured user
 *                                      interface and added functionality.
 */

using System;
using System.Windows.Forms;

namespace DALITestApplication
{
    public class MyTreeView : TreeView
    {
        protected override void WndProc(ref Message m)
        {
            // Filter WM_LBUTTONDBLCLK
            //if (m.Msg != 0x203) base.WndProc(ref m);

            if (m.Msg == 0x203) { m.Result = IntPtr.Zero; }
            else base.WndProc(ref m);

        }
    }

    partial class TestsForm
    {
        /// <summary>
        /// Required designer variable.
        /// </summary>
        private System.ComponentModel.IContainer components = null;

        /// <summary>
        /// Clean up any resources being used.
        /// </summary>
        /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
        protected override void Dispose(bool disposing)
        {
            if (disposing && (components != null))
            {
                components.Dispose();
            }
            base.Dispose(disposing);
        }

        #region Windows Form Designer generated code

        /// <summary>
        /// Required method for Designer support - do not modify
        /// the contents of this method with the code editor.
        /// </summary>
        private void InitializeComponent()
        {
            System.Windows.Forms.TreeNode treeNode1 = new System.Windows.Forms.TreeNode("12.1.1.1: Current rating");
            System.Windows.Forms.TreeNode treeNode2 = new System.Windows.Forms.TreeNode("12.1.1.2: Voltage rating");
            System.Windows.Forms.TreeNode treeNode3 = new System.Windows.Forms.TreeNode("12.1.1.3: Back channel rise time / fall time");
            System.Windows.Forms.TreeNode treeNode4 = new System.Windows.Forms.TreeNode("12.1.1.4: Transmission rate");
            System.Windows.Forms.TreeNode treeNode5 = new System.Windows.Forms.TreeNode("12.1.1.5: Pulse width");
            System.Windows.Forms.TreeNode treeNode6 = new System.Windows.Forms.TreeNode("12.1.1.6: Code violation");
            System.Windows.Forms.TreeNode treeNode7 = new System.Windows.Forms.TreeNode("[12.1.1] Waveform", new System.Windows.Forms.TreeNode[] {
            treeNode1,
            treeNode2,
            treeNode3,
            treeNode4,
            treeNode5,
            treeNode6});
            System.Windows.Forms.TreeNode treeNode8 = new System.Windows.Forms.TreeNode("12.1.2.1: Frame structure timing");
            System.Windows.Forms.TreeNode treeNode9 = new System.Windows.Forms.TreeNode("[12.1.2] Frame Structure Timing", new System.Windows.Forms.TreeNode[] {
            treeNode8});
            System.Windows.Forms.TreeNode treeNode10 = new System.Windows.Forms.TreeNode("12.1.3.1: Insulation test");
            System.Windows.Forms.TreeNode treeNode11 = new System.Windows.Forms.TreeNode("[12.1.3] Insulation Test", new System.Windows.Forms.TreeNode[] {
            treeNode10});
            System.Windows.Forms.TreeNode treeNode12 = new System.Windows.Forms.TreeNode("12.1.4.1: Polarity");
            System.Windows.Forms.TreeNode treeNode13 = new System.Windows.Forms.TreeNode("12.1.4.2: Overvoltage protection");
            System.Windows.Forms.TreeNode treeNode14 = new System.Windows.Forms.TreeNode("[12.1.4] Optional Tests", new System.Windows.Forms.TreeNode[] {
            treeNode12,
            treeNode13});
            System.Windows.Forms.TreeNode treeNode15 = new System.Windows.Forms.TreeNode("12.1.5.1: Response time");
            System.Windows.Forms.TreeNode treeNode16 = new System.Windows.Forms.TreeNode("[12.1.5] Response Time", new System.Windows.Forms.TreeNode[] {
            treeNode15});
            System.Windows.Forms.TreeNode treeNode17 = new System.Windows.Forms.TreeNode("12.2.1.1: RESET");
            System.Windows.Forms.TreeNode treeNode18 = new System.Windows.Forms.TreeNode("12.2.1.2: RESET: timeout / command in-between");
            System.Windows.Forms.TreeNode treeNode19 = new System.Windows.Forms.TreeNode("12.2.1.3: 100 ms - timeout");
            System.Windows.Forms.TreeNode treeNode20 = new System.Windows.Forms.TreeNode("12.2.1.4: Commands in-between");
            System.Windows.Forms.TreeNode treeNode21 = new System.Windows.Forms.TreeNode("12.2.1.5: VERSION NUMBER");
            System.Windows.Forms.TreeNode treeNode22 = new System.Windows.Forms.TreeNode("12.2.1.6: STORE ACTUAL LEVEL IN THE DTR");
            System.Windows.Forms.TreeNode treeNode23 = new System.Windows.Forms.TreeNode("12.2.1.7: PERSISTENT MEMORY");
            System.Windows.Forms.TreeNode treeNode24 = new System.Windows.Forms.TreeNode("12.2.1.8: DTR1");
            System.Windows.Forms.TreeNode treeNode25 = new System.Windows.Forms.TreeNode("12.2.1.9: DTR2");
            System.Windows.Forms.TreeNode treeNode26 = new System.Windows.Forms.TreeNode("[12.2.1] Gen Config Cmds", new System.Windows.Forms.TreeNode[] {
            treeNode17,
            treeNode18,
            treeNode19,
            treeNode20,
            treeNode21,
            treeNode22,
            treeNode23,
            treeNode24,
            treeNode25});
            System.Windows.Forms.TreeNode treeNode27 = new System.Windows.Forms.TreeNode("12.2.2.1: STORE THE DTR AS MAX LEVEL");
            System.Windows.Forms.TreeNode treeNode28 = new System.Windows.Forms.TreeNode("12.2.2.2: STORE THE DTR AS MIN LEVEL");
            System.Windows.Forms.TreeNode treeNode29 = new System.Windows.Forms.TreeNode("12.2.2.3: STORE THE DTR AS SYSTEM FAILURE LEVEL");
            System.Windows.Forms.TreeNode treeNode30 = new System.Windows.Forms.TreeNode("12.2.2.4: STORE THE DTR AS POWER ON LEVEL");
            System.Windows.Forms.TreeNode treeNode31 = new System.Windows.Forms.TreeNode("12.2.2.5: STORE THE DTR AS FADE TIME");
            System.Windows.Forms.TreeNode treeNode32 = new System.Windows.Forms.TreeNode("12.2.2.6: STORE THE DTR AS FADE RATE");
            System.Windows.Forms.TreeNode treeNode33 = new System.Windows.Forms.TreeNode("12.2.2.7: STORE THE DTR AS SCENE / GO TO SCENE");
            System.Windows.Forms.TreeNode treeNode34 = new System.Windows.Forms.TreeNode("[12.2.2] Arc Pwr Param", new System.Windows.Forms.TreeNode[] {
            treeNode27,
            treeNode28,
            treeNode29,
            treeNode30,
            treeNode31,
            treeNode32,
            treeNode33});
            System.Windows.Forms.TreeNode treeNode35 = new System.Windows.Forms.TreeNode("12.2.3.1: REMOVE FROM SCENE");
            System.Windows.Forms.TreeNode treeNode36 = new System.Windows.Forms.TreeNode("12.2.3.2: ADD TO GROUP / REMOVE FROM GROUP");
            System.Windows.Forms.TreeNode treeNode37 = new System.Windows.Forms.TreeNode("12.2.3.3: STORE THE DTR AS SHORT ADDRESS");
            System.Windows.Forms.TreeNode treeNode38 = new System.Windows.Forms.TreeNode("[12.2.3] Sys Param Settings", new System.Windows.Forms.TreeNode[] {
            treeNode35,
            treeNode36,
            treeNode37});
            System.Windows.Forms.TreeNode treeNode39 = new System.Windows.Forms.TreeNode("12.2.4.1: Memory Bank 0");
            System.Windows.Forms.TreeNode treeNode40 = new System.Windows.Forms.TreeNode("12.2.4.2: Memory Bank 1");
            System.Windows.Forms.TreeNode treeNode41 = new System.Windows.Forms.TreeNode("12.2.4.3: Other Memory Banks");
            System.Windows.Forms.TreeNode treeNode42 = new System.Windows.Forms.TreeNode("12.2.4.4: ENABLE WRITE MEMORY");
            System.Windows.Forms.TreeNode treeNode43 = new System.Windows.Forms.TreeNode("[12.2.4] Mem Access", new System.Windows.Forms.TreeNode[] {
            treeNode39,
            treeNode40,
            treeNode41,
            treeNode42});
            System.Windows.Forms.TreeNode treeNode44 = new System.Windows.Forms.TreeNode("12.3.1.1: FADE TIME");
            System.Windows.Forms.TreeNode treeNode45 = new System.Windows.Forms.TreeNode("12.3.1.2: FADE RATE");
            System.Windows.Forms.TreeNode treeNode46 = new System.Windows.Forms.TreeNode("[12.3.1] Timing ", new System.Windows.Forms.TreeNode[] {
            treeNode44,
            treeNode45});
            System.Windows.Forms.TreeNode treeNode47 = new System.Windows.Forms.TreeNode("12.3.2.1: LOGARITHMIC DIMMING CURVE");
            System.Windows.Forms.TreeNode treeNode48 = new System.Windows.Forms.TreeNode("12.3.2.2: CONTINUOUS DIMMING: DAPC");
            System.Windows.Forms.TreeNode treeNode49 = new System.Windows.Forms.TreeNode("12.3.2.3: CONTINUOUS DIMMING: UP / DOWN");
            System.Windows.Forms.TreeNode treeNode50 = new System.Windows.Forms.TreeNode("12.3.2.4: CONTINUOUS DIMMING: STEP UP / STEP DOWN");
            System.Windows.Forms.TreeNode treeNode51 = new System.Windows.Forms.TreeNode("12.3.2.5: Dimming curve: DAPC SEQUENCE");
            System.Windows.Forms.TreeNode treeNode52 = new System.Windows.Forms.TreeNode("[12.3.2] Dimming Curve", new System.Windows.Forms.TreeNode[] {
            treeNode47,
            treeNode48,
            treeNode49,
            treeNode50,
            treeNode51});
            System.Windows.Forms.TreeNode treeNode53 = new System.Windows.Forms.TreeNode("12.3.3.1: OFF");
            System.Windows.Forms.TreeNode treeNode54 = new System.Windows.Forms.TreeNode("12.3.3.2: DIRECT ARC POWER CONTROL");
            System.Windows.Forms.TreeNode treeNode55 = new System.Windows.Forms.TreeNode("12.3.3.3: UP");
            System.Windows.Forms.TreeNode treeNode56 = new System.Windows.Forms.TreeNode("12.3.3.4: DOWN");
            System.Windows.Forms.TreeNode treeNode57 = new System.Windows.Forms.TreeNode("12.3.3.5: STEP UP");
            System.Windows.Forms.TreeNode treeNode58 = new System.Windows.Forms.TreeNode("12.3.3.6: STEP DOWN");
            System.Windows.Forms.TreeNode treeNode59 = new System.Windows.Forms.TreeNode("12.3.3.7: RECALL MAX LEVEL");
            System.Windows.Forms.TreeNode treeNode60 = new System.Windows.Forms.TreeNode("12.3.3.8: RECALL MIN LEVEL");
            System.Windows.Forms.TreeNode treeNode61 = new System.Windows.Forms.TreeNode("12.3.3.9: ON AND STEP UP");
            System.Windows.Forms.TreeNode treeNode62 = new System.Windows.Forms.TreeNode("12.3.3.10: STEP DOWN AND OFF");
            System.Windows.Forms.TreeNode treeNode63 = new System.Windows.Forms.TreeNode("[12.3.3] Arc Pwr Cmds", new System.Windows.Forms.TreeNode[] {
            treeNode53,
            treeNode54,
            treeNode55,
            treeNode56,
            treeNode57,
            treeNode58,
            treeNode59,
            treeNode60,
            treeNode61,
            treeNode62});
            System.Windows.Forms.TreeNode treeNode64 = new System.Windows.Forms.TreeNode("12.4.1: Physical address allocation");
            System.Windows.Forms.TreeNode treeNode65 = new System.Windows.Forms.TreeNode("[12.4] Phys Addr ", new System.Windows.Forms.TreeNode[] {
            treeNode64});
            System.Windows.Forms.TreeNode treeNode66 = new System.Windows.Forms.TreeNode("12.5.1.1: INITIALISE: 15 minutes timer");
            System.Windows.Forms.TreeNode treeNode67 = new System.Windows.Forms.TreeNode("12.5.1.2: TERMINATE");
            System.Windows.Forms.TreeNode treeNode68 = new System.Windows.Forms.TreeNode("12.5.1.3: INITIALISE: short address");
            System.Windows.Forms.TreeNode treeNode69 = new System.Windows.Forms.TreeNode("12.5.1.4: INITIALISE: no short address");
            System.Windows.Forms.TreeNode treeNode70 = new System.Windows.Forms.TreeNode("12.5.1.5: INITIALISE: 100 ms timeout");
            System.Windows.Forms.TreeNode treeNode71 = new System.Windows.Forms.TreeNode("12.5.1.6: INITIALISE: command in-between");
            System.Windows.Forms.TreeNode treeNode72 = new System.Windows.Forms.TreeNode("[12.5.1] Init/Term", new System.Windows.Forms.TreeNode[] {
            treeNode66,
            treeNode67,
            treeNode68,
            treeNode69,
            treeNode70,
            treeNode71});
            System.Windows.Forms.TreeNode treeNode73 = new System.Windows.Forms.TreeNode("12.5.2.1: RANDOMISE: reset values");
            System.Windows.Forms.TreeNode treeNode74 = new System.Windows.Forms.TreeNode("12.5.2.2: RANDOMISE: 100 ms timeout");
            System.Windows.Forms.TreeNode treeNode75 = new System.Windows.Forms.TreeNode("12.5.2.3: RANDOMISE: command in-between");
            System.Windows.Forms.TreeNode treeNode76 = new System.Windows.Forms.TreeNode("[12.5.2] Randomise", new System.Windows.Forms.TreeNode[] {
            treeNode73,
            treeNode74,
            treeNode75});
            System.Windows.Forms.TreeNode treeNode77 = new System.Windows.Forms.TreeNode("12.5.3.1: COMPARE");
            System.Windows.Forms.TreeNode treeNode78 = new System.Windows.Forms.TreeNode("12.5.3.2: WITHDRAW");
            System.Windows.Forms.TreeNode treeNode79 = new System.Windows.Forms.TreeNode("[12.5.3] Comp/Widthdraw", new System.Windows.Forms.TreeNode[] {
            treeNode77,
            treeNode78});
            System.Windows.Forms.TreeNode treeNode80 = new System.Windows.Forms.TreeNode("12.5.4.1: PROGRAM SHORT ADDRESS");
            System.Windows.Forms.TreeNode treeNode81 = new System.Windows.Forms.TreeNode("12.5.4.2: VERIFY SHORT ADDRESS");
            System.Windows.Forms.TreeNode treeNode82 = new System.Windows.Forms.TreeNode("12.5.4.3: QUERY SHORT ADDRESS");
            System.Windows.Forms.TreeNode treeNode83 = new System.Windows.Forms.TreeNode("12.5.4.4: SEARCH ADDRESS: reset value");
            System.Windows.Forms.TreeNode treeNode84 = new System.Windows.Forms.TreeNode("[12.5.4] Pgm/Verify/Query Short Addr", new System.Windows.Forms.TreeNode[] {
            treeNode80,
            treeNode81,
            treeNode82,
            treeNode83});
            System.Windows.Forms.TreeNode treeNode85 = new System.Windows.Forms.TreeNode("12.6.1.1: QUERY DEVICE TYPE");
            System.Windows.Forms.TreeNode treeNode86 = new System.Windows.Forms.TreeNode("12.6.1.2: QUERY LAMP FAILURE");
            System.Windows.Forms.TreeNode treeNode87 = new System.Windows.Forms.TreeNode("12.6.1.3: QUERY LAMP POWER ON");
            System.Windows.Forms.TreeNode treeNode88 = new System.Windows.Forms.TreeNode("12.6.1.4: QUERY LIMIT ERROR");
            System.Windows.Forms.TreeNode treeNode89 = new System.Windows.Forms.TreeNode("12.6.1.5: QUERY POWER FAILURE");
            System.Windows.Forms.TreeNode treeNode90 = new System.Windows.Forms.TreeNode("12.6.1.6: QUERY STATUS: control gear ok");
            System.Windows.Forms.TreeNode treeNode91 = new System.Windows.Forms.TreeNode("12.6.1.7: QUERY STATUS: fade running");
            System.Windows.Forms.TreeNode treeNode92 = new System.Windows.Forms.TreeNode("[12.6.1] Queries", new System.Windows.Forms.TreeNode[] {
            treeNode85,
            treeNode86,
            treeNode87,
            treeNode88,
            treeNode89,
            treeNode90,
            treeNode91});
            System.Windows.Forms.TreeNode treeNode93 = new System.Windows.Forms.TreeNode("12.6.2.1: RESERVED: standard commands");
            System.Windows.Forms.TreeNode treeNode94 = new System.Windows.Forms.TreeNode("12.6.2.2: Application extended commands");
            System.Windows.Forms.TreeNode treeNode95 = new System.Windows.Forms.TreeNode("12.6.2.3: RESERVED: special commands 1");
            System.Windows.Forms.TreeNode treeNode96 = new System.Windows.Forms.TreeNode("12.6.2.4: RESERVED: special commands 2");
            System.Windows.Forms.TreeNode treeNode97 = new System.Windows.Forms.TreeNode("12.6.2.5: Not supported device types");
            System.Windows.Forms.TreeNode treeNode98 = new System.Windows.Forms.TreeNode("[12.6.2] Reserved Cmds", new System.Windows.Forms.TreeNode[] {
            treeNode93,
            treeNode94,
            treeNode95,
            treeNode96,
            treeNode97});
            System.Windows.Forms.TreeNode treeNode99 = new System.Windows.Forms.TreeNode("12.7.1.1: QUERY FEATURES");
            System.Windows.Forms.TreeNode treeNode100 = new System.Windows.Forms.TreeNode("12.7.1.2: QUERY SHORT CIRCUIT");
            System.Windows.Forms.TreeNode treeNode101 = new System.Windows.Forms.TreeNode("12.7.1.3: QUERY OPEN CIRCUIT");
            System.Windows.Forms.TreeNode treeNode102 = new System.Windows.Forms.TreeNode("12.7.1.4: QUERY LOAD DECREASE");
            System.Windows.Forms.TreeNode treeNode103 = new System.Windows.Forms.TreeNode("12.7.1.5: QUERY LOAD INCREASE");
            System.Windows.Forms.TreeNode treeNode104 = new System.Windows.Forms.TreeNode("12.7.1.6: QUERY CURRENT PROTECTOR ACTIVE: Underload");
            System.Windows.Forms.TreeNode treeNode105 = new System.Windows.Forms.TreeNode("12.7.1.7: QUERY CURRENT PROTECTOR ACTIVE: Overload");
            System.Windows.Forms.TreeNode treeNode106 = new System.Windows.Forms.TreeNode("12.7.1.8: QUERY THERMAL SHUT DOWN");
            System.Windows.Forms.TreeNode treeNode107 = new System.Windows.Forms.TreeNode("12.7.1.9: QUERY THERMAL OVERLOAD");
            System.Windows.Forms.TreeNode treeNode108 = new System.Windows.Forms.TreeNode("12.7.1.10: Query control gear information");
            System.Windows.Forms.TreeNode treeNode109 = new System.Windows.Forms.TreeNode("[12.7.1] (Type6) App Ext Query Commands", new System.Windows.Forms.TreeNode[] {
            treeNode99,
            treeNode100,
            treeNode101,
            treeNode102,
            treeNode103,
            treeNode104,
            treeNode105,
            treeNode106,
            treeNode107,
            treeNode108});
            System.Windows.Forms.TreeNode treeNode110 = new System.Windows.Forms.TreeNode("12.7.2.1: REFERENCE SYSTEM POWER");
            System.Windows.Forms.TreeNode treeNode111 = new System.Windows.Forms.TreeNode("12.7.2.2: REFERENCE SYSTEM POWER: 100 ms-timeout");
            System.Windows.Forms.TreeNode treeNode112 = new System.Windows.Forms.TreeNode("12.7.2.3: REFERENCE SYSTEM POWER: Command in-between");
            System.Windows.Forms.TreeNode treeNode113 = new System.Windows.Forms.TreeNode("12.7.2.4: REFERENCE SYSTEM POWER: 15 minutes timer");
            System.Windows.Forms.TreeNode treeNode114 = new System.Windows.Forms.TreeNode("12.7.2.5: REFERENCE SYSTEM POWER: failed");
            System.Windows.Forms.TreeNode treeNode115 = new System.Windows.Forms.TreeNode("12.7.2.6: ENABLE / DISABLE CURRENT PROTECTOR");
            System.Windows.Forms.TreeNode treeNode116 = new System.Windows.Forms.TreeNode("12.7.2.7: SELECT DIMMING CURVE");
            System.Windows.Forms.TreeNode treeNode117 = new System.Windows.Forms.TreeNode("12.7.2.8: FAST FADE TIME");
            System.Windows.Forms.TreeNode treeNode118 = new System.Windows.Forms.TreeNode("12.7.2.9: Reset State / Persistent Memory");
            System.Windows.Forms.TreeNode treeNode119 = new System.Windows.Forms.TreeNode("[12.7.2] (Type6) App Ext Config Cmds", new System.Windows.Forms.TreeNode[] {
            treeNode110,
            treeNode111,
            treeNode112,
            treeNode113,
            treeNode114,
            treeNode115,
            treeNode116,
            treeNode117,
            treeNode118});
            System.Windows.Forms.TreeNode treeNode120 = new System.Windows.Forms.TreeNode("12.7.3.1: ENABLE DEVICE TYPE: Application extended commands");
            System.Windows.Forms.TreeNode treeNode121 = new System.Windows.Forms.TreeNode("12.7.3.2: ENABLE DEVICE TYPE: Application extended configuration commands 1");
            System.Windows.Forms.TreeNode treeNode122 = new System.Windows.Forms.TreeNode("12.7.3.3: ENABLE DEVICE TYPE: Application extended configuration commands 2");
            System.Windows.Forms.TreeNode treeNode123 = new System.Windows.Forms.TreeNode("[12.7.3] (Type6) Enable Device Type", new System.Windows.Forms.TreeNode[] {
            treeNode120,
            treeNode121,
            treeNode122});
            System.Windows.Forms.TreeNode treeNode124 = new System.Windows.Forms.TreeNode("12.7.4.1: QUERY EXTENDED VERSION NUMBER");
            System.Windows.Forms.TreeNode treeNode125 = new System.Windows.Forms.TreeNode("12.7.4.2: RESERVED APPLICATION EXTENDED COMMANDS");
            System.Windows.Forms.TreeNode treeNode126 = new System.Windows.Forms.TreeNode("[12.7.4] Standard App Ext Cmds", new System.Windows.Forms.TreeNode[] {
            treeNode124,
            treeNode125});
            System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(TestsForm));
            this.selectAll = new System.Windows.Forms.Button();
            this.deselectAll = new System.Windows.Forms.Button();
            this.buttonCancel = new System.Windows.Forms.Button();
            this.buttonSave = new System.Windows.Forms.Button();
            this.buttonLoad = new System.Windows.Forms.Button();
            this.openFileDialog1 = new System.Windows.Forms.OpenFileDialog();
            this.saveFileDialog1 = new System.Windows.Forms.SaveFileDialog();
            this.treeView1 = new DALITestApplication.MyTreeView();
            this.SuspendLayout();
            // 
            // selectAll
            // 
            this.selectAll.Location = new System.Drawing.Point(417, 151);
            this.selectAll.Name = "selectAll";
            this.selectAll.Size = new System.Drawing.Size(74, 26);
            this.selectAll.TabIndex = 0;
            this.selectAll.Text = "Select All";
            this.selectAll.UseVisualStyleBackColor = true;
            this.selectAll.Click += new System.EventHandler(this.selectAll_Click);
            // 
            // deselectAll
            // 
            this.deselectAll.Location = new System.Drawing.Point(417, 183);
            this.deselectAll.Name = "deselectAll";
            this.deselectAll.Size = new System.Drawing.Size(74, 27);
            this.deselectAll.TabIndex = 1;
            this.deselectAll.Text = "Select None";
            this.deselectAll.UseVisualStyleBackColor = true;
            this.deselectAll.Click += new System.EventHandler(this.deselectAll_Click);
            // 
            // buttonCancel
            // 
            this.buttonCancel.Location = new System.Drawing.Point(417, 365);
            this.buttonCancel.Name = "buttonCancel";
            this.buttonCancel.Size = new System.Drawing.Size(74, 29);
            this.buttonCancel.TabIndex = 20;
            this.buttonCancel.Text = "OK";
            this.buttonCancel.UseVisualStyleBackColor = true;
            this.buttonCancel.Click += new System.EventHandler(this.buttonCancel_Click);
            // 
            // buttonSave
            // 
            this.buttonSave.Location = new System.Drawing.Point(417, 75);
            this.buttonSave.Name = "buttonSave";
            this.buttonSave.Size = new System.Drawing.Size(74, 26);
            this.buttonSave.TabIndex = 37;
            this.buttonSave.Text = "Save As";
            this.buttonSave.UseVisualStyleBackColor = true;
            this.buttonSave.Click += new System.EventHandler(this.buttonSave_Click);
            // 
            // buttonLoad
            // 
            this.buttonLoad.Location = new System.Drawing.Point(417, 43);
            this.buttonLoad.Name = "buttonLoad";
            this.buttonLoad.Size = new System.Drawing.Size(74, 26);
            this.buttonLoad.TabIndex = 40;
            this.buttonLoad.Text = "Load";
            this.buttonLoad.UseVisualStyleBackColor = true;
            this.buttonLoad.Click += new System.EventHandler(this.buttonLoad_Click);
            // 
            // openFileDialog1
            // 
            this.openFileDialog1.Filter = "Text file|*.txt";
            // 
            // saveFileDialog1
            // 
            this.saveFileDialog1.Filter = "Text files|*.txt";
            // 
            // treeView1
            // 
            this.treeView1.CheckBoxes = true;
            this.treeView1.Indent = 14;
            this.treeView1.Location = new System.Drawing.Point(9, 12);
            this.treeView1.Name = "treeView1";
            treeNode1.Name = "Node12111";
            treeNode1.Text = "12.1.1.1: Current rating";
            treeNode2.Name = "Node12112";
            treeNode2.Tag = "comboBox1";
            treeNode2.Text = "12.1.1.2: Voltage rating";
            treeNode3.Name = "Node12113";
            treeNode3.Text = "12.1.1.3: Back channel rise time / fall time";
            treeNode4.Name = "Node12114";
            treeNode4.Text = "12.1.1.4: Transmission rate";
            treeNode5.Name = "Node12115";
            treeNode5.Text = "12.1.1.5: Pulse width";
            treeNode6.Name = "Node12116";
            treeNode6.Text = "12.1.1.6: Code violation";
            treeNode7.Name = "Node1211";
            treeNode7.NodeFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            treeNode7.Text = "[12.1.1] Waveform";
            treeNode8.Name = "Node12121";
            treeNode8.Text = "12.1.2.1: Frame structure timing";
            treeNode9.Name = "Node1212";
            treeNode9.NodeFont = new System.Drawing.Font("Microsoft Sans Serif", 3F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Millimeter, ((byte)(0)));
            treeNode9.Text = "[12.1.2] Frame Structure Timing";
            treeNode10.Name = "Node12131";
            treeNode10.Text = "12.1.3.1: Insulation test";
            treeNode11.Name = "Node1213";
            treeNode11.NodeFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            treeNode11.Text = "[12.1.3] Insulation Test";
            treeNode12.Name = "Node12141";
            treeNode12.Text = "12.1.4.1: Polarity";
            treeNode13.Name = "Node12142";
            treeNode13.Text = "12.1.4.2: Overvoltage protection";
            treeNode14.Name = "Node1214";
            treeNode14.NodeFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            treeNode14.Text = "[12.1.4] Optional Tests";
            treeNode15.Name = "Node12151";
            treeNode15.Text = "12.1.5.1: Response time";
            treeNode16.Name = "Node1215";
            treeNode16.NodeFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            treeNode16.Text = "[12.1.5] Response Time";
            treeNode17.Name = "Node12211";
            treeNode17.Text = "12.2.1.1: RESET";
            treeNode18.Name = "Node12212";
            treeNode18.Text = "12.2.1.2: RESET: timeout / command in-between";
            treeNode19.Name = "Node12213";
            treeNode19.Text = "12.2.1.3: 100 ms - timeout";
            treeNode20.Name = "Node12214";
            treeNode20.Text = "12.2.1.4: Commands in-between";
            treeNode21.Name = "Node12215";
            treeNode21.Text = "12.2.1.5: VERSION NUMBER";
            treeNode22.Name = "Node12216";
            treeNode22.Text = "12.2.1.6: STORE ACTUAL LEVEL IN THE DTR";
            treeNode23.Name = "Node12217";
            treeNode23.Text = "12.2.1.7: PERSISTENT MEMORY";
            treeNode24.Name = "Node12218";
            treeNode24.Text = "12.2.1.8: DTR1";
            treeNode25.Name = "Node12219";
            treeNode25.Text = "12.2.1.9: DTR2";
            treeNode26.Name = "Node1221";
            treeNode26.NodeFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            treeNode26.Text = "[12.2.1] Gen Config Cmds";
            treeNode27.Name = "Node12221";
            treeNode27.Text = "12.2.2.1: STORE THE DTR AS MAX LEVEL";
            treeNode28.Name = "Node12222";
            treeNode28.Text = "12.2.2.2: STORE THE DTR AS MIN LEVEL";
            treeNode29.Name = "Node12223";
            treeNode29.Text = "12.2.2.3: STORE THE DTR AS SYSTEM FAILURE LEVEL";
            treeNode30.Name = "Node12224";
            treeNode30.Text = "12.2.2.4: STORE THE DTR AS POWER ON LEVEL";
            treeNode31.Name = "Node12225";
            treeNode31.Text = "12.2.2.5: STORE THE DTR AS FADE TIME";
            treeNode32.Name = "Node12226";
            treeNode32.Text = "12.2.2.6: STORE THE DTR AS FADE RATE";
            treeNode33.Name = "Node12227";
            treeNode33.Text = "12.2.2.7: STORE THE DTR AS SCENE / GO TO SCENE";
            treeNode34.Name = "Node1222";
            treeNode34.NodeFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            treeNode34.Text = "[12.2.2] Arc Pwr Param";
            treeNode35.Name = "Node12231";
            treeNode35.Text = "12.2.3.1: REMOVE FROM SCENE";
            treeNode36.Name = "Node12232";
            treeNode36.Text = "12.2.3.2: ADD TO GROUP / REMOVE FROM GROUP";
            treeNode37.Name = "Node12233";
            treeNode37.Text = "12.2.3.3: STORE THE DTR AS SHORT ADDRESS";
            treeNode38.Name = "Node1223";
            treeNode38.NodeFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            treeNode38.Text = "[12.2.3] Sys Param Settings";
            treeNode39.Name = "Node12241";
            treeNode39.Text = "12.2.4.1: Memory Bank 0";
            treeNode40.Name = "Node12242";
            treeNode40.Text = "12.2.4.2: Memory Bank 1";
            treeNode41.Name = "Node12243";
            treeNode41.Text = "12.2.4.3: Other Memory Banks";
            treeNode42.Name = "Node12244";
            treeNode42.Text = "12.2.4.4: ENABLE WRITE MEMORY";
            treeNode43.Name = "Node1224";
            treeNode43.NodeFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            treeNode43.Text = "[12.2.4] Mem Access";
            treeNode44.Name = "Node12311";
            treeNode44.Text = "12.3.1.1: FADE TIME";
            treeNode45.Name = "Node12312";
            treeNode45.Text = "12.3.1.2: FADE RATE";
            treeNode46.Name = "Node1231";
            treeNode46.NodeFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            treeNode46.Text = "[12.3.1] Timing ";
            treeNode47.Name = "Node12321";
            treeNode47.Text = "12.3.2.1: LOGARITHMIC DIMMING CURVE";
            treeNode48.Name = "Node12322";
            treeNode48.Text = "12.3.2.2: CONTINUOUS DIMMING: DAPC";
            treeNode49.Name = "Node12323";
            treeNode49.Text = "12.3.2.3: CONTINUOUS DIMMING: UP / DOWN";
            treeNode50.Name = "Node12324";
            treeNode50.Text = "12.3.2.4: CONTINUOUS DIMMING: STEP UP / STEP DOWN";
            treeNode51.Name = "Node12325";
            treeNode51.Text = "12.3.2.5: Dimming curve: DAPC SEQUENCE";
            treeNode52.Name = "Node1232";
            treeNode52.NodeFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            treeNode52.Text = "[12.3.2] Dimming Curve";
            treeNode53.Name = "Node12331";
            treeNode53.Text = "12.3.3.1: OFF";
            treeNode54.Name = "Node12332";
            treeNode54.Text = "12.3.3.2: DIRECT ARC POWER CONTROL";
            treeNode55.Name = "Node12333";
            treeNode55.Text = "12.3.3.3: UP";
            treeNode56.Name = "Node12334";
            treeNode56.Text = "12.3.3.4: DOWN";
            treeNode57.Name = "Node12335";
            treeNode57.Text = "12.3.3.5: STEP UP";
            treeNode58.Name = "Node12336";
            treeNode58.Text = "12.3.3.6: STEP DOWN";
            treeNode59.Name = "Node12337";
            treeNode59.Text = "12.3.3.7: RECALL MAX LEVEL";
            treeNode60.Name = "Node12338";
            treeNode60.Text = "12.3.3.8: RECALL MIN LEVEL";
            treeNode61.Name = "Node12339";
            treeNode61.Text = "12.3.3.9: ON AND STEP UP";
            treeNode62.Name = "Node123310";
            treeNode62.Text = "12.3.3.10: STEP DOWN AND OFF";
            treeNode63.Name = "Node1233";
            treeNode63.NodeFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            treeNode63.Text = "[12.3.3] Arc Pwr Cmds";
            treeNode64.Name = "Node1241";
            treeNode64.Text = "12.4.1: Physical address allocation";
            treeNode65.Name = "Node124";
            treeNode65.NodeFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            treeNode65.Text = "[12.4] Phys Addr ";
            treeNode66.Name = "Node12511";
            treeNode66.Text = "12.5.1.1: INITIALISE: 15 minutes timer";
            treeNode67.Name = "Node12512";
            treeNode67.Text = "12.5.1.2: TERMINATE";
            treeNode68.Name = "Node12513";
            treeNode68.Text = "12.5.1.3: INITIALISE: short address";
            treeNode69.Name = "Node12514";
            treeNode69.Text = "12.5.1.4: INITIALISE: no short address";
            treeNode70.Name = "Node12515";
            treeNode70.Text = "12.5.1.5: INITIALISE: 100 ms timeout";
            treeNode71.Name = "Node12516";
            treeNode71.Text = "12.5.1.6: INITIALISE: command in-between";
            treeNode72.Name = "Node1251";
            treeNode72.NodeFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            treeNode72.Text = "[12.5.1] Init/Term";
            treeNode73.Name = "Node12521";
            treeNode73.Text = "12.5.2.1: RANDOMISE: reset values";
            treeNode74.Name = "Node12522";
            treeNode74.Text = "12.5.2.2: RANDOMISE: 100 ms timeout";
            treeNode75.Name = "Node12523";
            treeNode75.Text = "12.5.2.3: RANDOMISE: command in-between";
            treeNode76.Name = "Node1252";
            treeNode76.NodeFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            treeNode76.Text = "[12.5.2] Randomise";
            treeNode77.Name = "Node12531";
            treeNode77.Text = "12.5.3.1: COMPARE";
            treeNode78.Name = "Node12532";
            treeNode78.Text = "12.5.3.2: WITHDRAW";
            treeNode79.Name = "Node1253";
            treeNode79.NodeFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            treeNode79.Text = "[12.5.3] Comp/Widthdraw";
            treeNode80.Name = "Node12541";
            treeNode80.Text = "12.5.4.1: PROGRAM SHORT ADDRESS";
            treeNode81.Name = "Node12542";
            treeNode81.Text = "12.5.4.2: VERIFY SHORT ADDRESS";
            treeNode82.Name = "Node12543";
            treeNode82.Text = "12.5.4.3: QUERY SHORT ADDRESS";
            treeNode83.Name = "Node12544";
            treeNode83.Text = "12.5.4.4: SEARCH ADDRESS: reset value";
            treeNode84.Name = "Node1254";
            treeNode84.NodeFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            treeNode84.Text = "[12.5.4] Pgm/Verify/Query Short Addr";
            treeNode85.Name = "Node12611";
            treeNode85.Text = "12.6.1.1: QUERY DEVICE TYPE";
            treeNode86.Name = "Node12612";
            treeNode86.Text = "12.6.1.2: QUERY LAMP FAILURE";
            treeNode87.Name = "Node12613";
            treeNode87.Text = "12.6.1.3: QUERY LAMP POWER ON";
            treeNode88.Name = "Node12614";
            treeNode88.Text = "12.6.1.4: QUERY LIMIT ERROR";
            treeNode89.Name = "Node12615";
            treeNode89.Text = "12.6.1.5: QUERY POWER FAILURE";
            treeNode90.Name = "Node12616";
            treeNode90.Text = "12.6.1.6: QUERY STATUS: control gear ok";
            treeNode91.Name = "Node12617";
            treeNode91.Text = "12.6.1.7: QUERY STATUS: fade running";
            treeNode92.Name = "Node1261";
            treeNode92.NodeFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            treeNode92.Text = "[12.6.1] Queries";
            treeNode93.Name = "Node12621";
            treeNode93.Text = "12.6.2.1: RESERVED: standard commands";
            treeNode94.Name = "Node12622";
            treeNode94.Text = "12.6.2.2: Application extended commands";
            treeNode95.Name = "Node12623";
            treeNode95.Text = "12.6.2.3: RESERVED: special commands 1";
            treeNode96.Name = "Node12624";
            treeNode96.Text = "12.6.2.4: RESERVED: special commands 2";
            treeNode97.Name = "Node12625";
            treeNode97.Text = "12.6.2.5: Not supported device types";
            treeNode98.Name = "Node1262";
            treeNode98.NodeFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            treeNode98.Text = "[12.6.2] Reserved Cmds";
            treeNode99.Name = "Node12711";
            treeNode99.Text = "12.7.1.1: QUERY FEATURES";
            treeNode100.Name = "Node12712";
            treeNode100.Text = "12.7.1.2: QUERY SHORT CIRCUIT";
            treeNode101.Name = "Node12713";
            treeNode101.Text = "12.7.1.3: QUERY OPEN CIRCUIT";
            treeNode102.Name = "Node12714";
            treeNode102.Text = "12.7.1.4: QUERY LOAD DECREASE";
            treeNode103.Name = "Node12715";
            treeNode103.Text = "12.7.1.5: QUERY LOAD INCREASE";
            treeNode104.Name = "Node12716";
            treeNode104.Text = "12.7.1.6: QUERY CURRENT PROTECTOR ACTIVE: Underload";
            treeNode105.Name = "Node12717";
            treeNode105.Text = "12.7.1.7: QUERY CURRENT PROTECTOR ACTIVE: Overload";
            treeNode106.Name = "Node12718";
            treeNode106.Text = "12.7.1.8: QUERY THERMAL SHUT DOWN";
            treeNode107.Name = "Node12719";
            treeNode107.Text = "12.7.1.9: QUERY THERMAL OVERLOAD";
            treeNode108.Name = "Node127110";
            treeNode108.Text = "12.7.1.10: Query control gear information";
            treeNode109.Name = "Node1271";
            treeNode109.NodeFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            treeNode109.Text = "[12.7.1] (Type6) App Ext Query Commands";
            treeNode110.Name = "Node12721";
            treeNode110.Text = "12.7.2.1: REFERENCE SYSTEM POWER";
            treeNode111.Name = "Node12722";
            treeNode111.Text = "12.7.2.2: REFERENCE SYSTEM POWER: 100 ms-timeout";
            treeNode112.Name = "Node12723";
            treeNode112.Text = "12.7.2.3: REFERENCE SYSTEM POWER: Command in-between";
            treeNode113.Name = "Node12724";
            treeNode113.Text = "12.7.2.4: REFERENCE SYSTEM POWER: 15 minutes timer";
            treeNode114.Name = "Node12725";
            treeNode114.Text = "12.7.2.5: REFERENCE SYSTEM POWER: failed";
            treeNode115.Name = "Node12726";
            treeNode115.Text = "12.7.2.6: ENABLE / DISABLE CURRENT PROTECTOR";
            treeNode116.Name = "Node12727";
            treeNode116.Text = "12.7.2.7: SELECT DIMMING CURVE";
            treeNode117.Name = "Node12728";
            treeNode117.Text = "12.7.2.8: FAST FADE TIME";
            treeNode118.Name = "Node12729";
            treeNode118.Text = "12.7.2.9: Reset State / Persistent Memory";
            treeNode119.Name = "Node1272";
            treeNode119.NodeFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            treeNode119.Text = "[12.7.2] (Type6) App Ext Config Cmds";
            treeNode120.Name = "Node12731";
            treeNode120.Text = "12.7.3.1: ENABLE DEVICE TYPE: Application extended commands";
            treeNode121.Name = "Node12732";
            treeNode121.Text = "12.7.3.2: ENABLE DEVICE TYPE: Application extended configuration commands 1";
            treeNode122.Name = "Node12733";
            treeNode122.Text = "12.7.3.3: ENABLE DEVICE TYPE: Application extended configuration commands 2";
            treeNode123.Name = "Node1273";
            treeNode123.NodeFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            treeNode123.Text = "[12.7.3] (Type6) Enable Device Type";
            treeNode124.Name = "Node12741";
            treeNode124.Text = "12.7.4.1: QUERY EXTENDED VERSION NUMBER";
            treeNode125.Name = "Node12742";
            treeNode125.Text = "12.7.4.2: RESERVED APPLICATION EXTENDED COMMANDS";
            treeNode126.Name = "Node1274";
            treeNode126.NodeFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            treeNode126.Text = "[12.7.4] Standard App Ext Cmds";
            this.treeView1.Nodes.AddRange(new System.Windows.Forms.TreeNode[] {
            treeNode7,
            treeNode9,
            treeNode11,
            treeNode14,
            treeNode16,
            treeNode26,
            treeNode34,
            treeNode38,
            treeNode43,
            treeNode46,
            treeNode52,
            treeNode63,
            treeNode65,
            treeNode72,
            treeNode76,
            treeNode79,
            treeNode84,
            treeNode92,
            treeNode98,
            treeNode109,
            treeNode119,
            treeNode123,
            treeNode126});
            this.treeView1.ShowNodeToolTips = true;
            this.treeView1.Size = new System.Drawing.Size(402, 435);
            this.treeView1.TabIndex = 2;
            this.treeView1.AfterCheck += new System.Windows.Forms.TreeViewEventHandler(this.treeView1_AfterCheck);
            // 
            // TestsForm
            // 
            this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
            this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
            this.ClientSize = new System.Drawing.Size(503, 459);
            this.Controls.Add(this.buttonCancel);
            this.Controls.Add(this.treeView1);
            this.Controls.Add(this.deselectAll);
            this.Controls.Add(this.selectAll);
            this.Controls.Add(this.buttonLoad);
            this.Controls.Add(this.buttonSave);
            this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.Fixed3D;
            this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
            this.MaximizeBox = false;
            this.Name = "TestsForm";
            this.SizeGripStyle = System.Windows.Forms.SizeGripStyle.Hide;
            this.Text = "Tests";
            this.Load += new System.EventHandler(this.Tests_Load_1);
            this.ResumeLayout(false);

        }

        #endregion

        private System.Windows.Forms.Button selectAll;
        private System.Windows.Forms.Button deselectAll;
        private System.Windows.Forms.Button buttonCancel;
        private System.Windows.Forms.Button buttonSave;
        private System.Windows.Forms.Button buttonLoad;
        private System.Windows.Forms.OpenFileDialog openFileDialog1;
        private System.Windows.Forms.SaveFileDialog saveFileDialog1;
        private MyTreeView treeView1;
    }
}